# com.amazon.redshift.ssl

## Classes

- DbKeyStoreSocketFactory
- DefaultJavaSSLFactory
- LazyKeyManager
- LibPQFactory
- LibPQFactory.ConsoleCallbackHandler
- MakeSSL
- NonValidatingFactory
- NonValidatingFactory.NonValidatingTM
- PKCS12KeyManager
- RedshiftjdbcHostnameVerifier
- SingleCertValidatingFactory
- SingleCertValidatingFactory.SingleCertTrustManager
- SSLUtil
- WrappedFactory

## Exceptions

- DbKeyStoreSocketFactory.DbKeyStoreSocketException